<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFACD"
    android:gravity="center"
    android:orientation="vertical">

    <GridLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/AllGridLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:columnCount="5"
        android:orientation="horizontal"
        android:rowCount="15">

        <CheckBox
            android:id="@+id/x2y"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="X2Y"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:layout_column="2"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="        " />

        <CheckBox
            android:id="@+id/sito"
            android:layout_row="0"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="SITO"
            android:textSize="22dp" />

        <TextView
            android:layout_row="1"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Stretch_Rank"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/stretchrank"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/stretch_rank"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="3"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="INT Trigger Mode"
            android:textColor="#000000"
            android:textSize="22dp" />

        <Spinner
            android:id="@+id/interrupt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/INT触发方式"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_row="3"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/mccen"
            android:layout_row="4"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="MonitorConsistencyConflictEn"
            android:textSize="22dp" />

        <CheckBox
            android:id="@+id/firstfilterdis"
            android:layout_row="4"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="FirstFilterDis"
            android:textSize="22dp" />

        <TextView
            android:layout_row="5"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/diffdivideby2or4"
            android:layout_row="6"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="DiffDivideBy2or4"
            android:textSize="22dp" />

        <CheckBox
            android:id="@+id/waterspeedlimiten"
            android:layout_row="6"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="WaterSpeedLimitEn"
            android:textSize="22dp" />

        <TextView
            android:layout_row="7"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/shapeen"
            android:layout_row="8"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Shape_En"
            android:textSize="22dp" />

        <CheckBox
            android:id="@+id/waterproofdis"
            android:layout_row="8"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Water_Proof_Dis"
            android:textSize="22dp" />

        <TextView
            android:layout_row="9"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/lcdplusminusen"
            android:layout_row="10"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="LcdPlusMinusEn"
            android:textSize="22dp" />

        <CheckBox
            android:id="@+id/esden"
            android:layout_row="10"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="ESD_En"
            android:textSize="22dp" />

        <TextView
            android:layout_row="11"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/x2x"
            android:layout_row="12"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="X2X"
            android:textSize="22dp" />

        <CheckBox
            android:id="@+id/y2y"
            android:layout_row="12"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Y2Y"
            android:textSize="22dp" />

        <TextView
            android:layout_row="13"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <CheckBox
            android:id="@+id/intwakeup"
            android:layout_row="14"
            android:layout_column="0"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="INT_Wakeup"
            android:textSize="22dp" />

    </GridLayout>

</LinearLayout>